local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L = LibStub("AceLocale-3.0"):NewLocale("GarrisonJukeBox", "enUS", true, debug)

--[[ADDON]]
L["ADDON_NAME"] = "GarrisonJukeBox"
L["ADDON_LOADED"] = "loaded!"
L["ADDON_AUTHOR"] = "Author: "
L["ADDON_ERROR_LOADING"] = "Error loading GarrisonJukeBox!"

-- misc messages
L["PLAYING"] = "Playing: "
L["EXP_WCEVENTS"] = "Warcraft Events"

--[[OPTIONS]]
L["OPT_JUKEBOX_OPTIONS"] = "Garrison JukeBox Options"

-- groups
L["OPT_JUKEBOX"] = "JukeBox"
L["OPT_JUKEBOX_DESC"] = "Configure your jukebox."
L["OPT_AUDIO"] = "Audio"
L["OPT_AUDIO_DESC"] = "Audio controls."
L["OPT_ABOUT"] = "About"

-- jukebox group
L["HDR_SELECTION"] = "Music Selection"
L["TOG_SHUFFLE"] = "Shuffle music"
L["TOG_SHUFFLE_DESC"] = "Randomly plays music titles from your jukebox."
L["SEL_EXPANSION"] = "Expansion/Category"
L["SEL_EXPANSION_DESC"] = "Select the expansion or category."
L["SEL_MUSIC"] = "Music"
L["SEL_MUSIC_DESC"] = "Select the music."
L["SEL_JUKEBOX"] = "Your JukeBox"
L["SEL_JUKEBOX_DESC"] = "Your custom music jukebox."
L["CMD_ADD"] = "Add"
L["CMD_ADD_DESC"] = "Adds the music to your jukebox list."
L["OPT_PLAYSAMPLE"] = "Play Sample"
L["OPT_PLAYSAMPLE_DESC"] = "Plays a sample of the selected music."
L["CMD_REMOVE"] = "Remove"
L["CMD_REMOVE_DESC"] = "Removes the selected music from your jukebox list."
L["CMD_REMOVEALL"] = "Remove All"
L["CMD_REMOVEALL_DESC"] = "Removes all music from your jukebox list."
L["HDR_ZONES"] = "Zones"
L["SEL_ZONE"] = "Zone"
L["SEL_ZONE_DESC"] = "Select a zone."
L["CMD_ADDZONE_DESC"] = "Adds a zone to the list of zones to play your jukebox in."
L["SEL_YOUR_ZONES"] = "Your Zones"
L["SEL_YOUR_ZONES_DESC"] = "Your selected zones where GarrisonJukeBox will play music from your jukebox."
L["TOG_PETBATTLE"] = "Pet Battle music"
L["TOG_PETBATTLE_DESC"] = "Enable/Disable Pet Battle music while in a garrison."
L["SAMPLE_MUSIC"] = "Sample: "
L["SAMPLE_FILE"] = "File: "

-- audio group
L["INP_WOWAUDIOFILE"] = "WoW embedded audio file name"
L["CMD_PLAY"] = "Play"
L["CMD_STOP"] = "Stop"
L["CMD_NEXT"] = "Next"
L["CMD_PREV"] = "Prev"
L["TOG_SLASHES"] = "Replace double-slashes"
L["TOG_SLASHES_DESC"] = "Replace double-slashes in the string provided with single slashes; just in case you're copying from source code or script commands."
L["HDR_AUDIOPLAYER"] = "Audio Player"

-- about group
L["ABOUT_SLASHCMD_TITLE"] = "Slash Commands (/gjb)"
L["ABOUT_SLASHCMD_NEXT"] = "- next: Plays the next song in your jukebox; if set to 'shuffle', will simply play another random song."
L["ABOUT_SLASHCMD_PLAY"] = "- play: Stops original zone music and starts playback of your jukebox items."
L["ABOUT_SLASHCMD_STOP"] = "- stop: Stops playback and starts original zone music."
L["ABOUT_SLASHCMD_PREV"] = "- prev: Plays the previous song in your jukebox; if set to 'shuffle', will simply play another random song."

-- error messages
L["ERROR_INVALID_COLOR"] = " is an invalid color."

-- music titles
L["TITLE_MAIN_THEME"] = "Main Theme"
L["TITLE_TIRISFAL"] = "Tirisfal Glades"
L["TITLE_SUNWELL"] = "Sunwell"
L["TITLE_ESCDURNHOLDE"] = "Escape from Durholde"
L["TITLE_HYJAL"] = "Hyjal"
L["TITLE_NIGHTELVES"] = "Nightsong"
L["TITLE_WANDERINGISLE"] = "Wandering Isle"
L["TITLE_VALLEY4WINDS"] = "Valley of the Four Winds"
L["TITLE_SONG_LIULANG"] = "Song of Liulang"
L["TITLE_SERPENTRACE"] = "Serpent Race"
L["TITLE_GINSUVALOR"] = "Ginsu Valor"
L["TITLE_WAYOTMONK"] = "Way of the Monk"
L["TITLE_POWEROTHORDE"] = "Power of the Horde"
L["TITLE_FIREFESTIVAL"] = "Fire Festival"
L["TITLE_ARGENTTOURNY"] = "Argent Tournament"
L["TITLE_MOLTENCORE"] = "Molten Core"
L["TITLE_ASHENVALE"] = "Ashenvale"
L["TITLE_LAMENTOTHIGHBORNE"] = "Lament of the Highborne"
L["TITLE_SHORELARAN"] = "Shorel'Aran"
L["TITLE_STORMPEAKS"] = "Storm Peaks"
L["TITLE_AFTERMATH"] = "Aftermath"
L["TITLE_CORRUPTED_DRAGONBLIGHT"] = "Corrupted Dragonblight"
L["TITLE_DRAGONSOUL"] = "Dragonsoul"
L["TITLE_FANGS_OT_FATHER"] = "Fangs of the Father"
L["TITLE_NIGHTWALK"] = "Nightwalk"
L["TITLE_THRALLBATTLE"] = "Thrall Battle"
L["TITLE_TWILIGHTSHAMMER"] = "Twilight's Hammer"
L["TITLE_WARSHIPS"] = "Warships"
L["TITLE_WELLOFETERNITY"] = "Well of Eternity"
L["TITLE_ZINAZSHARI"] = "Zin-Azshari"
L["TITLE_RAGE_OT_FIRELANDS"] = "Rage of the Firelands"
L["TITLE_ALLIANCE_ONE_HERO"] = "Alliance One Hero"
L["TITLE_DARNASSUS"] = "Darnassus"
L["TITLE_GNOMERAGON"] = "Gnomeragon"
L["TITLE_IRONFORGE"] = "Ironforge"
L["TITLE_ORGRIMMAR"] = "Orgrimmar"
L["TITLE_STORMWIND"] = "Stormwind"
L["TITLE_THUNDERBLUFF"] = "Thunderbluff"
L["TITLE_UNDERCITY"] = "Undercity"
L["TITLE_A_HEROS_SACRIFICE"] = "A Hero's Sacrifice"
L["TITLE_A_LIGHT_IT_DARKNESS"] = "A Light in the Darkness"
L["TITLE_SPIRES_OF_ARAK"] = "Spires of Arak"
L["TITLE_DRAENOR_ARMY"] = "Army"
L["TITLE_DRAENOR_FREEDOM"] = "Freedom"
L["TITLE_DRAENOR_BLACKROCK"] = "Blackrock"
L["TITLE_AZUREMIST"] = "Azuremist"
L["TITLE_EXODAR"] = "The Exodar"
L["TITLE_BARRENS"] = "Barrens"
L["TITLE_BLACKTEMPLE"] = "Black Temple"
L["TITLE_BLACKTEMPLE_GATES"] = "Black Temple Gates"
L["TITLE_BLACKTEMPLE_KARABOR"] = "Black Temple Karabor"
L["TITLE_BLACKTEMPLE_RELIQUARY"] = "Black Temple Reliquary"
L["TITLE_BLACKTEMPLE_SANCTUARY"] = "Black Temple Sanctuary"
L["TITLE_BLOODMIST"] = "Bloodmyst"
L["TITLE_DALARAN"] = "Dalaran"
L["TITLE_ICECROWNGLACIER"] = "Icecrown Glacier"
L["TITLE_CRYSTALSONGFOREST"] = "Crystal Song Forest"
L["TITLE_DRAGONBLIGHT"] = "Dragon Blight"
L["TITLE_HOWLINGFJORD"] = "Howling Fjord"
L["TITLE_ESCAPEFROMARTHAS"] = "Escape from Arthas"
L["TITLE_LADYORLICH"] = "Lady or the Lich"
L["TITLE_ICEFORTRESS"] = "Ice Fortress"
L["TITLE_SCHOLAZARBASIN"] = "Scholazar Basin"
L["TITLE_AHNQIRAJ"] = "Ahn'Qiraj"
L["TITLE_FELWOOD"] = "Felwood"
L["TITLE_TANARIS"] = "Tanaris"
L["TITLE_STRAGLETHORN"] = "Stranglethorn Vale"
L["TITLE_WINTERSPRING"] = "Winterspring"
L["TITLE_NAXXRAMAS"] = "Naxxramas"
L["TITLE_PLAINS"] = "Mulgore"
L["TITLE_SWAMPOFSORROWS"] = "Swamp of Sorrows"
L["TITLE_BURNINGSTEPPES"] = "Burning Steppes"
L["TITLE_ZULAMAN"] = "Zul'Aman"